AC_DEFUN([AC_GEN_JAVADOC], [

AC_ARG_WITH(javadoc,
AC_HELP_STRING([--with-javadoc],[Generate API documentation]),
[case "${withval}" in
  yes) gendoc=true ;;
  no)  gendoc=false ;;
  *) AC_MSG_ERROR(bad value ${withval} for --with-javadoc) ;;
esac],[gendoc=false])

AM_CONDITIONAL(GENJAVADOC, test $gendoc = "true")

AC_MSG_CHECKING(if API documentation shall be generated)
if test x$gendoc = xtrue; then
  AC_MSG_RESULT(yes)
  AC_PROG_JAVADOC
else
  AC_MSG_RESULT(no)
fi
])
